Jump to content

Gen 1 2 3 Pokemon Editor and Converter for Windows + Mac OS X


Metropolis
 Share

Recommended Posts

Hey, I'm getting a bunch of random level missingnos when I open a pkmn box, mostly lvl255 or lv100... Bloo version. Also I lost all in boxes in Yello...

Please attach save and I can investigate.

I'm having problems converting gen 6 pokémon files to lower gens... when the pokémon is one introduced in gen 4 or 5, the pokémon species doesn't appear and its attacks also go away. I believe this is because only gen 3 pokémon and attacks are programmed but I'm not sure.

Yes, you're correct that's intended behaviour. The editor supports Gen 1 to 3, allowing import *into* that format. Since new attacks and species don't exist they will not appear. Gen 4,5,6 support exists only for conversion to Gen 3 and below.

When I download the mac version it tells me it's a PowerPC application, which hasn't been supported since Snow Leopard (4 years ago maybe?). Is this an error, or if not could it be reuploaded as an application that is able to be run on modern macs?

EDIT: Also, I currently use the 4.2 version, and whenever I open a save file, and then save it, it completely messes up the pokedex, including number of pokemon as well as which pokemon I've seen/caught. Has that possibly been fixed since 4.2? For clarification, it occurs extremely often, I've only had it not do that a couple of times, and it can happen even if I don't edit anything, simply saving and closing immediately on start will do that.

The pokedex has been fixed in a later upgrade (4.5). Yes, it wil happen every time even if you don't edit the pokedex or anything else, but is fixed in 4.5. The powerPC thing is annoying yes I'm trying to see why mac thinks it's a powerplus app.

Geeks: All the app actually is in Mac is a .app directory wrapper around a shell script that runs a JAR file built using the Mac 64-bit SWT as a dependency. If anyone knows of a way of compiling Mac apps that are not seen as powerplus apps, please let me know :-)

Link to comment
Share on other sites

  • Replies 208
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Posted Images

I'll be following these instructions: https://docs.oracle.com/javase/7/docs/technotes/guides/jweb/packagingAppsForMac.html

The source code is Java, with the SWT as a dependency, built using Maven to a runnable JAR.

This runs fine on , but people seem scared by .JAR files, so I use launch4j to wrap that as an EXE.

The file size is the same and you get an icon, which non techy users see as a program they can open not a weird system file.

Mac is a little trickier beacuse of the way threading works, it requires a command line argument.

Fingers crossed the Mac version should be up soon. If you can get around the anti-PowerPlus thing it will run fine, and on old Macs.

Link to comment
Share on other sites

I have a problem, I can't get it to work. I have installed both legacy Java 1.5.0 framework, just like it says I should every time I try to open it and it fails(surprisingly Windows was ok with that). I have also tried the newest versions available to me, I'm Windows 10 64 bit and the build number is excessively long. I just can't get it to run, it keeps saying I need Java, I have Java, I tried 3 different versions. I'm must be missing something.

Link to comment
Share on other sites

having issues with the newest mac version and java. every time i try to run the .jar file, it says that it can't run it and to check console for details, and then console has no error messages. tried updating java, tried clearing out previous versions of java, tried reinstalling the editor, nothing works. and all links to any previous versions of the editor seem to just redirect to the newest one :^(

is there any chance that you could reupload the mac version that came before the most recent update? i found the legacy version, but it's not great. thanks!

edit: i have the most recent version of osx yosemite, so i don't think that's the problem.

Link to comment
Share on other sites

having issues with the newest mac version and java. every time i try to run the .jar file, it says that it can't run it and to check console for details, and then console has no error messages. tried updating java, tried clearing out previous versions of java, tried reinstalling the editor, nothing works. and all links to any previous versions of the editor seem to just redirect to the newest one :^(

is there any chance that you could reupload the mac version that came before the most recent update? i found the legacy version, but it's not great. thanks!

edit: i have the most recent version of osx yosemite, so i don't think that's the problem.

Right-click PKXDelta.command then click Open and ignore the Apple warning. The command opens the JAR using a special setting required for Mac OS, you won't be able to open the JAR just by clicking it.

Does that work for you?

Link to comment
Share on other sites

Hey man, absolutely amazing work! with the fact that this and a Pokemon Colosseum/XD editor exist. I can fully enjoy my GBA4iOS empire. I'm also a programmer and I'm interested in trying to make trading between GameCube/GBA quicker and easier by combing the features of this program and PkmGCSaveEditor. Is this program open source or would you be willing to share the source? Thanks. :)

Link to comment
Share on other sites

Hey, I'm getting a bunch of random level missingnos when I open a pkmn box, mostly lvl255 or lv100... Bloo version. Also I lost all in boxes in Yello...

I'm actually getting the same thing. It looks like the program isn't reading .pkm files right at the moment. If you save a .pkm file with this program or any other program and reopen it again it loads it all wrong. Some data is correct but most of it is scrambled.

Link to comment
Share on other sites

@ChokingVictim87

I've noticed if any PC box has 20/20 pokemon, for RBY/GSC, the editor will delete the entire box. I've been bypassing this issue by just making sure I have 19 or less in all my boxes. I think I reported this issue months back, but nothing came of it.

My Yellow box had 15 Pokemon in it and they all got deleted:/ Haven't tested it with Red yet

Link to comment
Share on other sites

How do I import a Gen I .pkm into Gen II? When I try and open the .pkm in the Gen II save I get "Cannot read file of length=56".

I know I can open 2 save windows and drag the Pokémon over, that works fine, but I was wondering if I could do it through the Open dialog instead.

Also is it correct for migrated Pokémon from Gen I to have "Invalid" as the Held Item? Thanks :)

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...